APIs
Log In
APIs

setGeometryVertices

Set the vertices of a point, a polygon or a polyline

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The "verticesAsJsonString" parameter must be a stringified JsonArray object containing the polygon vertices.
These vertices must be JsonArray objects too, and must contain the latitude first and the longitude second in the WGS84 projection.
Therefore, the latitude value must be between -85 and +85 and the longitude one must be between -180 and +180.
For a polygon , you need at least 4 vertices in the "verticesAsJsonString" parameter and the first and the last vertice must be the same.
For a polyline , you need at least 2 vertices in the "verticesAsJsonString" parameter.
For a point, ex : [[lat, lng]]

Body Params
string
required

The mapdataName of the mapdata containing the targeted object

int32
required

The id of the polygon or polyline you want to update.

string
required

The polygon or polyline new vertices in the WGS84 projection. For example (for a polygon) : "[[43.55,4.88],[43.52,4.84],[43.23,4.82],[43.15,4.78],[43.21,4.75],[43.04,4.72],[43.55,4.88]]". Please see below for more information.

int32
required

Your Technical Account ID. For more information : Prerequisites

string
required

Your signature. For more information : Security Overview

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json